Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Johntheripper with musl and libressl
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
gengreen
Tux's lil' helper
Tux's lil' helper


Joined: 23 Dec 2017
Posts: 84

PostPosted: Mon Feb 19, 2018 10:58 am    Post subject: Johntheripper with musl and libressl Reply with quote

Hi,

A while ago, I wanted to get johntheripper on my musl with libressl but all the ebuild available (even the one on the overlay) failed to build, so I decided to grab the lastest stable source available on openwall, but those failed too. Nevertheless, after half day on it, I ended up with a successful build of Johntheripper by removing the support of gnupg

As far I understood the problem it's related with the change made in openssl 1.1.0 which John support over openssl 1.0.2 and libressl

I would like to have an ebuild rather than using my "manual build", I'm not confident enough with the ebuild writing to do it myself, I can provide the diff patch if someone is able/want to make it (should work with libressl and musl).

Thanks,

Edit : s/GPG/gnupg
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Unsupported Software All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum